CustomPropertyTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.pluginxml.CustomPropertyTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.pluginxml
Class CustomPropertyTag

    java.lang.Object
      org.hyperic.hq.product.pluginxml.BaseTag
          org.hyperic.hq.product.pluginxml.CustomPropertyTag

All Implemented Interfaces:
  XmlAttrHandler, XmlFilterHandler, XmlTagEntryHandler, XmlTagExitHandler, XmlTagHandler

    public class CustomPropertyTag

extends BaseTag

Field Summary
`protected SchemaBuilder` | `schema`

Method Summary
`java.lang.String` | `getName()` Retrieve the name of the tag, without angled brackets.
`java.lang.String[]` | `getOptionalAttributes()`
`java.lang.String[]` | `getRequiredAttributes()`
`XmlTagInfo[]` | `getSubTags()` Retrieve information about which subtags are valid within the given tag.
`void` | `startTag()`

Methods inherited from class org.hyperic.hq.product.pluginxml.BaseTag
`enter, exit, filterAttrValue, getAttributes, getLog, getMergedSubTags, getMergedSubTags, handleAttribute, handleAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### schema

    protected SchemaBuilder schema

Method Detail

### getOptionalAttributes

    public java.lang.String[] getOptionalAttributes()

### getRequiredAttributes

    public java.lang.String[] getRequiredAttributes()

### getName

    public java.lang.String getName()

  Description copied from interface: `XmlTagHandler`
  Retrieve the name of the tag, without angled brackets. (i.e. "foo" for tags named )

  Specified by:
    `getName` in interface `XmlTagHandler`
  Returns:
    The name of the tag

### startTag

    public void startTag()

### getSubTags

    public XmlTagInfo[] getSubTags()

  Description copied from interface: `XmlTagHandler`
  Retrieve information about which subtags are valid within the given tag. This method will only be called once for each object.

  Specified by:
    `getSubTags` in interface `XmlTagHandler`
  Overrides:
    `getSubTags` in class `BaseTag`
  Returns:
    An array of tag information objects, indicating which subtags are valid.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.